#!/bin/sh
#
# $1 can be true or false

APPLET="/etc/xdg/autostart/nm-applet.desktop"
SERVICE="network-manager"

case $1 in
    true)
        services-blacklist -n del $SERVICE
        # Manage the applet in lrd
        sed -i "/^WITH_NM/d" /cdrom/boot.cfg
        echo "WITH_NM=1" >> /cdrom/boot.cfg

        mv /cdrom/etc/network/interfaces /cdrom/etc/network/interfaces.bak
        cat > /etc/network/interfaces << EOF
auto lo
iface lo inet loopback
EOF

        ;;

    false)
        services-blacklist -n add $SERVICE
        # disable the applet
        sed -i "/^WITH_NM/d" /cdrom/boot.cfg

        if [ -f /cdrom/etc/network/interfaces.bak ]; then
            mv /cdrom/etc/network/interfaces.bak /cdrom/etc/network/interfaces
        else
            cat > /etc/network/interfaces << EOF
auto lo
iface lo inet loopback

auto eth0
iface eth0 inet dhcp

auto ath0
iface ath0 inet dhcp

auto wlan0
iface wlan0 inet dhcp
EOF

        fi
        ;;
esac

exit 0

